<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Mon Sep 15 15:27:46 CEST 2014 -->
<title>Uses of Class fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement</title>
<meta name="date" content="2014-09-15">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/search/class-use/DPathSearch.DPathSearchBaseElement.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.DPathSearchBaseElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement" class="title">Uses of Class<br>fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.search">fr.inria.alpage.frmgcm.search</a></td>
<td class="colLast">
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.search">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a> in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> with parameters of type <a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathSearchFunction.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>
<div class="block">Apply the function over an entry set</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathTest.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathExpression.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathCoord.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathFilter.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.DPathNavigate.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">DPathSearchUnit.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#execute(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">execute</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
       java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entrySet)</code>
<div class="block">Execute this search unit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><span class="strong">DPathSearch.</span><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html#getEntrySet(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement)">getEntrySet</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/search/class-use/DPathSearch.DPathSearchBaseElement.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.DPathSearchBaseElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
